/*
 * KK_Update.h
 *
 *  Created on: Dec 27, 2018
 *      Author: sds
 */

#ifndef KK_CCUCONFIG_H_
#define KK_CCUCONFIG_H_
#include <string>
#include "EH_DB.h"

using namespace std;

class KK_CcuConfig{
public:				////////先建立
	class KKDevmapinfo {
			public:
				string dev_model_id;
				string sn;
				string mac;
			};

public:
	static KK_CcuConfig* GetInstance();
	int Open();
	string getCentralAcGwMac(string NodeId); //中控网关mac

private:
	KK_CcuConfig();
private:
	static KK_CcuConfig* ms_pInstance;
	EH_DB db;
};



#endif /* KK_CCUCONFIG_H_ */
